package com.bonus.canteen.core.drp.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel("计量单位信息")
public class DrpUnitListVO {
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("计量单位名称")
   private String unitName;
   @ApiModelProperty("换算比率(换算成?g)")
   private BigDecimal rate;
   @ApiModelProperty("单位类型(1-按份,2-称重)")
   private Integer weighType;

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public BigDecimal getRate() {
      return this.rate;
   }

   public Integer getWeighType() {
      return this.weighType;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setRate(final BigDecimal rate) {
      this.rate = rate;
   }

   public void setWeighType(final Integer weighType) {
      this.weighType = weighType;
   }
}
